@font-face {
  font-family: 'PixelOperator';
  src: url('/headhunt/assets/PixelOperator8-Bold.ttf');
}

html,
body,
.container {
  height: 100%;
  width: 100%;
  margin: 0;
  overflow: hidden;
  font-family: 'PixelOperator';
}

.container {
  position: absolute;
  display: grid;
  color: #a5fd27;
  user-select: none;
}

.container .overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 100;
  background-color: #73aafd;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: xx-large;
  visibility: visible;
  opacity: 1;
  transition: opacity .85s linear;
}

.container .overlay.hidden {
  opacity: 0;
}

.container .title {
  position: absolute;
  display: flex;
  align-items: center;
  justify-content: center;
  align-self: center;
  justify-self: center;
  padding: .5em;
  width: 10em;
  line-height: 160%;
  font-size: xx-large;
  text-align: center;
  cursor: pointer;
}

.container .title.animate {
  animation: animationTitle 2s ease 0s 1 normal forwards;
}

.container .title:hover {
  color: white;
}

.container .menu {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  align-self: flex-start;
  justify-self: flex-end;
  margin: .5em;
}

.menu .menu-button {
  position: relative;
  float: right;
  width: 5em;
  cursor: pointer;
}

.menu .menu-button .text {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.menu .menu-button img {
  width: 100%;
}

.title,
.menu .menu-content {
  background-color: #1e1111;
  border: solid 2px #a5fd27;
  border-radius: .5em;
  row-gap: 0.2em;
}

.menu .menu-content.hidden {
  display: none;
}

.menu .menu-content img {
  height: 100%;
  width: 100%;
}

.menu .menu-content .setting {
  display: flex;
  align-items: center;
  margin: .5em;
}

.menu .menu-content .setting.bg {
  flex-wrap: wrap;
  max-width: min-content;
  justify-content: space-between;
}

.menu .menu-content .setting .value {
  font-size: 110%;
  cursor: pointer;
}

.menu .menu-content .setting .value:hover {
  color: white;
}

.menu .menu-content .setting .off {
  color: red;
}

.menu .menu-content .setting .on {
  color: white;
}


@keyframes animationTitle {

  0%,
  100% {
    transform: rotate(0deg);
    transform-origin: 50% 50%;
  }

  10% {
    transform: rotate(8deg);
  }

  20%,
  40%,
  60% {
    transform: rotate(-10deg);
  }

  30%,
  50%,
  70% {
    transform: rotate(10deg);
  }

  80% {
    transform: rotate(-8deg);
  }

  90% {
    transform: rotate(8deg);
  }
}